<?php
#################################################
# CONFIGURATION
# 
# Bitte nehmen Sie hier die von Ihnen gewnschten Einstellungen fr
# das Scipt vor.
#
#################################################

// Pfad des Root-Verzeichnisses
// Sollte Ihr Server ein nicht korrekt eingerichtetes Root-Verzeichnis haben,
// kommentieren Sie die folgende Zeile aus, indem Sie die Raute entfernen,
// und geben Ihr Root-Verzeichnis von Hand ein (i.d.R. mu hier NICHTS verndert werden).
// Diese Pfadangabe mu ABSOLUT sein - also der Festplattenpfad, beginnend
// und endend mit einem Slash (/)
// Wenn Sie einen Webserver von Microsoft einsetzen (z.B. IIS), geben sie
// hier bitte in jedem Fall den vollstndigen Pfad OHNE Slash am Ende an.
#$HTTP_SERVER_VARS["DOCUMENT_ROOT"] = "c:/inetpub/wwwroot";


// Ab hier beginnt die Suche
// Geben Sie hier das Verzeichnis an, ab dem durchsucht werden soll.
// Sollen alle Verzeichnisse ab dem Root-Verzeichnis durchsucht werden,
// darf hier kein Eintrag gemacht werden (also: $from_dir = "";).
// WICHTIG!!! Am ENDE des Pfades darf KEIN Slash (/) stehen!!!
// Z.B.: $from_dir = "/ein_unterverzeichnis";
$from_dir = "";


// Verzeichnisse, die von der Suche AUSGESCHLOSSEN werden sollen
// Die Unterverzeichnisse des angegebenen Verzeichnisses werden
// ebenfalls von der Suche ausgeschlossen.
// VOR dem Verzeichnis KEIN Slash (/), NACH dem Verzeichnis EIN Slash (/)
$ignore_dir = array('images/', 'cgi-bin/');


// Dateiendungen, die von der Suche EINGESCHLOSSEN werden sollen
// WICHTIG!!! Dateiendungen MSSEN durch Pipe (|) getrennt werden
$dat_type = "htm|html|shtml|php|php3|php4";


// Bereich der Seite, der durchsucht werden soll
// 0 = alles (Flietext & title, description, keywords | 1 = Meta-Tags (title, description, keywords)
$search_area = 0;


// Anzahl der Zeichen, die ein Suchbegriff MINDESTENS haben mu, um eine
// Suche durchzufhren
$sexp_length = 3;


// Anzahl der Treffer, die auf einer Seite angezeigt werden (Bltterfunktion)
$nps = 10;


//*** Konfiguration der Trefferanzeige ***//

// Abschnitte, in denen ein Suchbegriff gefunden wurde anzeigen.
// Setzen Sie diese Option auf NEIN, wenn die Beschreibung zu der gefundenen Seite
// lediglich der Inhalt des "description"-Meta-Tags angezeigt werden soll.
// 1 = ja || 0 = nein
$hit_area = 1;

// Maximale Anzahl an Zeichen des ersten gefundenen Abschnittes
// Bei mehreren eingegebenen Suchbegriffen verkrzt sich der Abschnitt
// um jeweils die Hlfte des vorangegangenen Abschnittes. Werden viele
// Suchbegriffe eingegeben, wird nachher nur das gefundene Wort angezeigt
$maxz = 160;


// Fehlermeldung, wenn der Suchbegriff zu kurz ist
$error_count = "<b>Der Suchbegriff ist zu kurz!</b><br><br>Der Suchbegriff mu mindestens <b>$sexp_length</b> Zeichen enthalten. Bitte geben Sie einen anderen Suchbegriff ein.";


// Fehlermeldung, wenn kein Suchbegriff eingegeben wurde
$error_empty = "<b>Sie haben keinen Suchbegriff eingegeben!</b><br><br>Bitte geben Sie einen anderen Suchbegriff ein.";


// Linkbeschreibung bei der Trefferanzeige, wenn kein Titel gefunden wurde
$no_title = "Ohne Titel";
?>